<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "انتخاب دسته:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* RainGraph.Ir*/
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* RainGraph.Ir */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

// home settings

$of_options[] = array( 	"name" 		=> "توضیحات بخش هدر",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-info.png"
				);
								
$of_options[] = array( 	"name" 		=> "اطلاعیه سایت",
						"desc" 		=> "از این بخش میتوانید متن بخش اطلاعیه تغییر دهید.",
						"id" 		=> "erro2_text",
						"std" 		=> "به سایت ما خوش آمدید.",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "متن پیش فرض جستجو",	
						"desc" 		=> "متنی که به صورت پیشفرض در قسمت جستجو نمایش داده می شود .",	
						"id" 		=> "search_text",
						"std" 		=> "جستجو ...",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر بخش انجمن",	
						"desc" 		=> "از این بخش میتوانید نام انجمن در بخش منو تغییر دهید",	
						"id" 		=> "feature_text",
						"std" 		=> "Forum",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر آدرس انجمن",	
						"desc" 		=> "از این بخش میتوانید آدرس انجمن تغییر دهید .",	
						"id" 		=> "sitealert_title",
						"std" 		=> "/forum",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر بخش ورود به سایت",
						"desc" 		=> "از این بخش میتوانید نام بخش ورود به سایت تغییر دهید .",
						"id" 		=> "sitealert_text",
						"std" 		=> "Login",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر آدرس صفحه ورود به سایت",	
						"desc" 		=> "از این بخش میتوانید آدرس صفحه ورود به سایت تغییر دهید .",	
						"id" 		=> "books_text",
						"std" 		=> "/login",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر بخش تبلیغات",
						"desc" 		=> "از این بخش میتوانید نام بخش تبلیغات تغییر دهید.",
						"id" 		=> "bookmark_text",
						"std" 		=> "ads",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "منو هدر آدرس صفحه تبلیغات",
						"desc" 		=> "از این بخش میتوانید آدرس صفحه تبلیغات تغییر دهید .",
						"id" 		=> "newsletter_text",
						"std" 		=> "/ads",
						"type" 		=> "text"
				);
				
				
				
$of_options[] = array( 	"name" 		=> "منو هدر بخش تماس با ما",
						"desc" 		=> "از این بخش میتوانید نام صفحه تماس با ما تغییر دهید.",
						"id" 		=> "copyrights_text2",
						"std" 		=> "Contact",
						"type" 		=> "text"
				);
				
				
$of_options[] = array( 	"name" 		=> "منو هدر بخش آدرس صفحه تماس با ما",
						"desc" 		=> "از این بخش میتوانید آدرس صفحه تماس با ما تغییر دهید.",
						"id" 		=> "copyrights_text",
						"std" 		=> "/contact",
						"type" 		=> "text"
				);
				
// pics settings
	
$of_options[] = array( 	"name" 		=> "اسلایدر و لوگو",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png"
				);

				
$of_options[] = array( 	"name" 		=> "تصویر لوگو ",	
						"desc" 		=> "تصویر لوگویی که در بالای سایت نمایش داده می شود. سایز 296x119", 
						"id" 		=> "media_upload_logo", 	
						"std" 		=> get_template_directory_uri() ."/images/logo.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "تصویر بگ گراند",	
						"desc" 		=> "تصویر بک گراند سایت در این بخش نمایش داده می شود.سایز:180x180", 
						"id" 		=> "media_upload_retina_60", 	
						"std" 		=> get_template_directory_uri() ."/images/bg.png", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر یک تصویر کوچک",	
						"desc" 		=> "تصویر کوچک اسلایدر یک در این بخش نمایش داده می شود.سایز:201x87", 
						"id" 		=> "media_upload_retina_76", 	
						"std" 		=> get_template_directory_uri() ."/images/A1.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر یک تصویر بزرگ",	
						"desc" 		=> "تصویر بزرگ اسلایدر یک در این بخش نمایش داده می شود.سایز:1060x460", 
						"id" 		=> "media_upload_retina_120", 	
						"std" 		=> get_template_directory_uri() ."/images/a.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر دو تصویر کوچک",	
						"desc" 		=> "تصویر کوچک اسلایدر دو در این بخش نمایش داده می شود.سایز:201x87", 
						"id" 		=> "media_upload_retina_152", 	
						"std" 		=> get_template_directory_uri() ."/images/b1.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر دو تصویر بزرگ",	
						"desc" 		=> "تصویر بزرگ اسلایدر دو در این بخش نمایش داده می شود.سایز:1060x460", 
						"id" 		=> "media_upload_header", 	
						"std" 		=> get_template_directory_uri() ."/images/b.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر سه تصویر کوچک",	
						"desc" 		=> "تصویر کوچک اسلایدر سه در این بخش نمایش داده می شود.سایز:201x87", 
						"id" 		=> "media_upload_header_res", 	
						"std" 		=> get_template_directory_uri() ."/images/c1.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "اسلایدر سه تصویر بزرگ",	
						"desc" 		=> "تصویر بزرگ اسلایدر سه در این بخش نمایش داده می شود.سایز:1060x460", 
						"id" 		=> "media_upload_noimg50", 	
						"std" 		=> get_template_directory_uri() ."/images/c.jpg", 		
						"type" 		=> "upload" 	
				);
				
$of_options[] = array( 	"name" 		=> "آدرس اسلایدر اول",	
						"desc" 		=> "در این بخش آدرس اسلایدر اول نمایش داده می شود.", 
						"id" 		=> "media_upload_noimg120", 	
						"std" 		=> "url", 		
						"type" 		=> "text" 	
				);
				
$of_options[] = array( 	"name" 		=> "آدرس اسلایدر دوم",	
						"desc" 		=> "در این بخش آدرس اسلایدر دوم نمایش داده می شود.", 
						"id" 		=> "media_upload_noimg158", 	
						"std" 		=> "url", 		
						"type" 		=> "text" 	
				);
				
$of_options[] = array( 	"name" 		=> "آدرس اسلایدر سوم",	
						"desc" 		=> "در این بخش آدرس اسلایدر سوم نمایش داده می شود.", 
						"id" 		=> "media_upload_noimg200", 	
						"std" 		=> "url", 		
						"type" 		=> "text" 	
				);
				
$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر اول",	
						"desc" 		=> "نام خوانند اسلایدر اول در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2001", 	
						"std" 		=> "Sasy", 		
						"type" 		=> "text" 	
				);
				
$of_options[] = array( 	"name" 		=> "نام آهنگ اسلایدر اول",	
						"desc" 		=> "نام آهنگ اسلایدر اول در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2002", 	
						"std" 		=> "Doroughe Mahz", 		
						"type" 		=> "text" 	
				);
				
				
$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر دوم",	
						"desc" 		=> "نام خواننده اسلایدر دوم در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2003", 	
						"std" 		=> "Mazyar Fallahi", 		
						"type" 		=> "text" 	
				);
				
				
$of_options[] = array( 	"name" 		=> "نام آهنگ اسلایدر دوم",	
						"desc" 		=> "نام آهنگ اسلایدر دوم در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2004", 	
						"std" 		=> "Leyla", 		
						"type" 		=> "text" 	
				);
				
				
$of_options[] = array( 	"name" 		=> "نام خواننده اسلایدر سوم",	
						"desc" 		=> "نام خواننده اسلایدر سوم در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2005", 	
						"std" 		=> "Behzad Leito & Sijal", 		
						"type" 		=> "text" 	
				);
				
				
$of_options[] = array( 	"name" 		=> "نام آهنگ اسلایدر سوم",	
						"desc" 		=> "نام آهنگ اسلایدر سوم در این بخش وارد کنید.", 
						"id" 		=> "media_upload_noimg2006", 	
						"std" 		=> "Bahatam Dasham", 		
						"type" 		=> "text" 	
				);
				
// General Settings

$of_options[] = array( 	"name" 		=> "مدیریت تبلیغات",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-home.png"
				);
				
								
$of_options[] = array( 	"name" 		=> "کد تبلیغات هدر سایت",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . سایز 468x68",
						"id" 		=> "topads2_text",
						"std" 		=> "".get_template_directory_uri()."/images/adv.png",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات ادامه مطلب یک",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . سایز 980x118",
						"id" 		=> "topads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/images/instagram-ads.jpg' alt='ads' width='980' height='118' />",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "کد تبلیغات ادامه مطلب دو",
						"desc" 		=> "جهت وارد کردن کد ها در این قسمت می توانید از قسمت راهنمای پوسته استفاده کنید . سایز 980x118",
						"id" 		=> "sideads_text",
						"std" 		=> "<img src='".get_template_directory_uri()."/images/ads-single.jpg' alt='ads' width='980' height='118' />",
						"type" 		=> "textarea"
				);

			
// Styling options
				
$of_options[] = array( 	"name" 		=> "فوتر قالب",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-add.png"
				);
				
$of_options[] = array( 	"name" 		=> "لینک گوگل پلاس",	
						"desc" 		=> "لینک صفحه ی گوگل پلاس سایت را وارد کنید .",	
						"id" 		=> "google_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک اینستاگرام",	
						"desc" 		=> "لینک صفحه ی اینستاگرام سایت را وارد کنید .",	
						"id" 		=> "instagram_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
								
$of_options[] = array( 	"name" 		=> "لینک فیسبوک",	
						"desc" 		=> "لینک صفحه ی فیسبوک سایت را وارد کنید .",	
						"id" 		=> "facebook_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "لینک توییتر",	
						"desc" 		=> "لینک صفحه ی توییتر سایت را وارد کنید .",	
						"id" 		=> "twitter_link",
						"std" 		=> "",
						"type" 		=> "text"	
				);
				
								
$of_options[] = array( 	"name" 		=> "منو فوتر بخش انجمن",	
						"desc" 		=> "از این بخش میتوانید نام انجمن در بخش منو تغییر دهید",	
						"id" 		=> "feature11_text",
						"std" 		=> "Forum",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو فوتر آدرس انجمن",	
						"desc" 		=> "از این بخش میتوانید آدرس انجمن تغییر دهید .",	
						"id" 		=> "sitealert11_title",
						"std" 		=> "/forum",
						"type" 		=> "text"	
				);
				
$of_options[] = array( 	"name" 		=> "منو فوتر بخش ورود به سایت",
						"desc" 		=> "از این بخش میتوانید نام بخش ورود به سایت تغییر دهید .",
						"id" 		=> "sitealert11_text",
						"std" 		=> "Login",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "منو فوتر آدرس صفحه ورود به سایت",	
						"desc" 		=> "از این بخش میتوانید آدرس صفحه ورود به سایت تغییر دهید .",	
						"id" 		=> "books11_text",
						"std" 		=> "/login",
						"type" 		=> "text"	
				);
				
								
$of_options[] = array( 	"name" 		=> "منو فوتر بخش تماس با ما",
						"desc" 		=> "از این بخش میتوانید نام صفحه تماس با ما تغییر دهید.",
						"id" 		=> "copyrights11_text2",
						"std" 		=> "Contact",
						"type" 		=> "text"
				);
				
				
$of_options[] = array( 	"name" 		=> "منو فوتر بخش آدرس صفحه تماس با ما",
						"desc" 		=> "از این بخش میتوانید آدرس صفحه تماس با ما تغییر دهید.",
						"id" 		=> "copyrights11_text",
						"std" 		=> "/contact",
						"type" 		=> "text"
				);

				
$of_options[] = array( 	"name" 		=> "کپی رایت سایت",	
						"desc" 		=> "از این بخش میتوانید متن کپی رایت تغییر دهید.",	
						"id" 		=> "copyrights_raingraph_text",
						"std" 		=> "All Right Reserved By 7Music - Copyright 2019",
						"type" 		=> "text"	
				);
				

// Backup Options
$of_options[] = array( 	"name" 		=> "پشتیبان گیری",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
$of_options[] = array( 	"name" 		=> "تنطیمات پشتیبان گیری",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'شما می توانید از دو دکمه ی پایین برای پشتیبان گیری از تنظیمات استفاده کنید، و بعد در زمانی دیگر به حالت قبل بازگردانید . این خیلی به شما کمک خواهد کرد زمانی که می خواهید تنظیمات مختلف را تجربه کنید ولی تنظیمات قبلی خود را نگه دارید و هر زمانی که خواستید به حالت قبل برگردید.',
				);
				
$of_options[] = array( 	"name" 		=> "انتقال اطلاعات تنظیمات پوسته",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'شما میتوانید اطلاعات تنظیمات ذخیره شده را با کپی متن داخل باکس در نصب های مختلف پوسته قرار دهید . برای وارد کردن تنظیمات یک نصب پوسته ی دیگر اطلاعات داخل باکس را با اطلاعاتی که از آن نصب دارید تعویض کنید سپس بر روی وارد کردن تنظیمات کلیک کنید.',
				);
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
